# @pgprojectx/bazaarvoice-sdk

> API wrapper for BazaarVoice

## Table of Contents

- [Install](#install)
- [Usage](#usage)
- [Notes](#notes)

## Install

```
npm install @pgprojectx/bazaarvoice
```

## Usage

```javascript
const bazaarvoice = require('@pgprojectx/bazaarvoice-sdk');

const client = bazaarvoice({
  host: 'https://api.bazaarvoice.com',
  apiVersion: '5.4',
  apiKey: 'apiKey'
});

// Get Product Reviews
const reviews = await client.getProductReviews('000123645678901');
console.log(reviews);
// {
//   "reviewCount": Number,
//   "reviews": Array,
//   "rating": Number
// }
```

## Notes

BazaarVoice does not return 404s for non-existing products. So default responses will result in the following object

```json
{
  "reviewCount": 0,
  "reviews": [],
  "rating": false
}
```
